Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Interface MetaClass

Method Summary
`Object` | `getAttribute(Class sender, Object receiver, String messageName, boolean useSuper)` Invokes a method on the given receiver for the specified arguments.
`ClassNode` | `getClassNode()` Invokes a method on the given receiver for the specified arguments.
`List` | `getMetaMethods()` Invokes a method on the given receiver for the specified arguments.
`List` | `getMethods()` Invokes a method on the given receiver for the specified arguments.
`List` | `getProperties()` Invokes a method on the given receiver for the specified arguments.
`Object` | `getProperty(Class sender, Object receiver, String property, boolean isCallToSuper, boolean fromInsideClass)` Invokes a method on the given receiver for the specified arguments.
`void` | `initialize()` Invokes a method on the given receiver for the specified arguments.
`Object` | `invokeMethod(Class sender, Object receiver, String methodName, def arguments, boolean isCallToSuper, boolean fromInsideClass)` Invokes a method on the given receiver for the specified arguments.
`Object` | `invokeMissingMethod(Object instance, String methodName, def arguments)` Invokes a method on the given receiver for the specified arguments.
`Object` | `invokeMissingProperty(Object instance, String propertyName, Object optionalValue, boolean isGetter)` Invokes a method on the given receiver for the specified arguments.
`MetaMethod` | `pickMethod(String methodName, def arguments)` Invokes a method on the given receiver for the specified arguments.
`int` | `selectConstructorAndTransformArguments(int numberOfConstructors, def arguments)` Invokes a method on the given receiver for the specified arguments.
`void` | `setAttribute(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)` Invokes a method on the given receiver for the specified arguments.
`void` | `setProperty(Class sender, Object receiver, String property, Object value, boolean isCallToSuper, boolean fromInsideClass)` Invokes a method on the given receiver for the specified arguments.

Method Detail

### getAttribute

    public Object getAttribute(Class sender, Object receiver, String messageName, boolean useSuper)

  Invokes a method on the given receiver for the specified arguments. The sender is the class that invoked the method on the object. The MetaClass will attempt to establish the method to invoke based on the name and arguments provided.

  The isCallToSuper and fromInsideClass help the Groovy runtime perform optimisations on the call to go directly to the super class if necessary

  param:
    sender The java.lang.Class instance that invoked the method
  param:
    receiver The object which the method was invoked on
  param:
    methodName The name of the method
  param:
    arguments The arguments to the method
  param:
    isCallToSuper Whether the method is a call to a super class method
  param:
    fromInsideClass Whether the call was invoked from the inside or the outside of the class
  return:
    The return value of the method

### getClassNode

    public ClassNode getClassNode()

  Invokes a method on the given receiver for the specified arguments. The sender is the class that invoked the method on the object. The MetaClass will attempt to establish the method to invoke based on the name and arguments provided.

  The isCallToSuper and fromInsideClass help the Groovy runtime perform optimisations on the call to go directly to the super class if necessary

  param:
    sender The java.lang.Class instance that invoked the method
  param:
    receiver The object which the method was invoked on
  param:
    methodName The name of the method
  param:
    arguments The arguments to the method
  param:
    isCallToSuper Whether the method is a call to a super class method
  param:
    fromInsideClass Whether the call was invoked from the inside or the outside of the class
  return:
    The return value of the method

### getMetaMethods

    public List getMetaMethods()

  Invokes a method on the given receiver for the specified arguments. The sender is the class that invoked the method on the object. The MetaClass will attempt to establish the method to invoke based on the name and arguments provided.

  The isCallToSuper and fromInsideClass help the Groovy runtime perform optimisations on the call to go directly to the super class if necessary

  param:
    sender The java.lang.Class instance that invoked the method
  param:
    receiver The object which the method was invoked on
  param:
    methodName The name of the method
  param:
    arguments The arguments to the method
  param:
    isCallToSuper Whether the method is a call to a super class method
  param:
    fromInsideClass Whether the call was invoked from the inside or the outside of the class
  return:
    The return value of the method

### getMethods

    public List getMethods()

  Invokes a method on the given receiver for the specified arguments. The sender is the class that invoked the method on the object. The MetaClass will attempt to establish the method to invoke based on the name and arguments provided.

  The isCallToSuper and fromInsideClass help the Groovy runtime perform optimisations on the call to go directly to the super class if necessary

  param:
    sender The java.lang.Class instance that invoked the method
  param:
    receiver The object which the method was invoked on
  param:
    methodName The name of the method
  param:
    arguments The arguments to the method
  param:
    isCallToSuper Whether the method is a call to a super class method
  param:
    fromInsideClass Whether the call was invoked from the inside or the outside of the class
  return:
    The return value of the method

### getProperties

    public List getProperties()

  Invokes a method on the given receiver for the specified arguments. The sender is the class that invoked the method on the object. The MetaClass will attempt to establish the method to invoke based on the name and arguments provided.

  The isCallToSuper and fromInsideClass help the Groovy runtime perform optimisations on the call to go directly to the super class if necessary

  param:
    sender The java.lang.Class instance that invoked the method
  param:
    receiver The object which the method was invoked on
  param:
    methodName The name of the method
  param:
    arguments The arguments to the method
  param:
    isCallToSuper Whether the method is a call to a super class method
  param:
    fromInsideClass Whether the call was invoked from the inside or the outside of the class
  return:
    The return value of the method

### getProperty

    public Object getProperty(Class sender, Object receiver, String property, boolean isCallToSuper, boolean fromInsideClass)

  Invokes a method on the given receiver for the specified arguments. The sender is the class that invoked the method on the object. The MetaClass will attempt to establish the method to invoke based on the name and arguments provided.

  The isCallToSuper and fromInsideClass help the Groovy runtime perform optimisations on the call to go directly to the super class if necessary

  param:
    sender The java.lang.Class instance that invoked the method
  param:
    receiver The object which the method was invoked on
  param:
    methodName The name of the method
  param:
    arguments The arguments to the method
  param:
    isCallToSuper Whether the method is a call to a super class method
  param:
    fromInsideClass Whether the call was invoked from the inside or the outside of the class
  return:
    The return value of the method

### initialize

    public void initialize()

  Invokes a method on the given receiver for the specified arguments. The sender is the class that invoked the method on the object. The MetaClass will attempt to establish the method to invoke based on the name and arguments provided.

  The isCallToSuper and fromInsideClass help the Groovy runtime perform optimisations on the call to go directly to the super class if necessary

  param:
    sender The java.lang.Class instance that invoked the method
  param:
    receiver The object which the method was invoked on
  param:
    methodName The name of the method
  param:
    arguments The arguments to the method
  param:
    isCallToSuper Whether the method is a call to a super class method
  param:
    fromInsideClass Whether the call was invoked from the inside or the outside of the class
  return:
    The return value of the method

### invokeMethod

    public Object invokeMethod(Class sender, Object receiver, String methodName, def arguments, boolean isCallToSuper, boolean fromInsideClass)

  Invokes a method on the given receiver for the specified arguments. The sender is the class that invoked the method on the object. The MetaClass will attempt to establish the method to invoke based on the name and arguments provided.

  The isCallToSuper and fromInsideClass help the Groovy runtime perform optimisations on the call to go directly to the super class if necessary

  param:
    sender The java.lang.Class instance that invoked the method
  param:
    receiver The object which the method was invoked on
  param:
    methodName The name of the method
  param:
    arguments The arguments to the method
  param:
    isCallToSuper Whether the method is a call to a super class method
  param:
    fromInsideClass Whether the call was invoked from the inside or the outside of the class
  return:
    The return value of the method

### invokeMissingMethod

    public Object invokeMissingMethod(Object instance, String methodName, def arguments)

  Invokes a method on the given receiver for the specified arguments. The sender is the class that invoked the method on the object. The MetaClass will attempt to establish the method to invoke based on the name and arguments provided.

  The isCallToSuper and fromInsideClass help the Groovy runtime perform optimisations on the call to go directly to the super class if necessary

  param:
    sender The java.lang.Class instance that invoked the method
  param:
    receiver The object which the method was invoked on
  param:
    methodName The name of the method
  param:
    arguments The arguments to the method
  param:
    isCallToSuper Whether the method is a call to a super class method
  param:
    fromInsideClass Whether the call was invoked from the inside or the outside of the class
  return:
    The return value of the method

### invokeMissingProperty

    public Object invokeMissingProperty(Object instance, String propertyName, Object optionalValue, boolean isGetter)

  Invokes a method on the given receiver for the specified arguments. The sender is the class that invoked the method on the object. The MetaClass will attempt to establish the method to invoke based on the name and arguments provided.

  The isCallToSuper and fromInsideClass help the Groovy runtime perform optimisations on the call to go directly to the super class if necessary

  param:
    sender The java.lang.Class instance that invoked the method
  param:
    receiver The object which the method was invoked on
  param:
    methodName The name of the method
  param:
    arguments The arguments to the method
  param:
    isCallToSuper Whether the method is a call to a super class method
  param:
    fromInsideClass Whether the call was invoked from the inside or the outside of the class
  return:
    The return value of the method

### pickMethod

    public MetaMethod pickMethod(String methodName, def arguments)

  Invokes a method on the given receiver for the specified arguments. The sender is the class that invoked the method on the object. The MetaClass will attempt to establish the method to invoke based on the name and arguments provided.

  The isCallToSuper and fromInsideClass help the Groovy runtime perform optimisations on the call to go directly to the super class if necessary

  param:
    sender The java.lang.Class instance that invoked the method
  param:
    receiver The object which the method was invoked on
  param:
    methodName The name of the method
  param:
    arguments The arguments to the method
  param:
    isCallToSuper Whether the method is a call to a super class method
  param:
    fromInsideClass Whether the call was invoked from the inside or the outside of the class
  return:
    The return value of the method

### selectConstructorAndTransformArguments

    public int selectConstructorAndTransformArguments(int numberOfConstructors, def arguments)

  Invokes a method on the given receiver for the specified arguments. The sender is the class that invoked the method on the object. The MetaClass will attempt to establish the method to invoke based on the name and arguments provided.

  The isCallToSuper and fromInsideClass help the Groovy runtime perform optimisations on the call to go directly to the super class if necessary

  param:
    sender The java.lang.Class instance that invoked the method
  param:
    receiver The object which the method was invoked on
  param:
    methodName The name of the method
  param:
    arguments The arguments to the method
  param:
    isCallToSuper Whether the method is a call to a super class method
  param:
    fromInsideClass Whether the call was invoked from the inside or the outside of the class
  return:
    The return value of the method

### setAttribute

    public void setAttribute(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)

  Invokes a method on the given receiver for the specified arguments. The sender is the class that invoked the method on the object. The MetaClass will attempt to establish the method to invoke based on the name and arguments provided.

  The isCallToSuper and fromInsideClass help the Groovy runtime perform optimisations on the call to go directly to the super class if necessary

  param:
    sender The java.lang.Class instance that invoked the method
  param:
    receiver The object which the method was invoked on
  param:
    methodName The name of the method
  param:
    arguments The arguments to the method
  param:
    isCallToSuper Whether the method is a call to a super class method
  param:
    fromInsideClass Whether the call was invoked from the inside or the outside of the class
  return:
    The return value of the method

### setProperty

    public void setProperty(Class sender, Object receiver, String property, Object value, boolean isCallToSuper, boolean fromInsideClass)

  Invokes a method on the given receiver for the specified arguments. The sender is the class that invoked the method on the object. The MetaClass will attempt to establish the method to invoke based on the name and arguments provided.

  The isCallToSuper and fromInsideClass help the Groovy runtime perform optimisations on the call to go directly to the super class if necessary

  param:
    sender The java.lang.Class instance that invoked the method
  param:
    receiver The object which the method was invoked on
  param:
    methodName The name of the method
  param:
    arguments The arguments to the method
  param:
    isCallToSuper Whether the method is a call to a super class method
  param:
    fromInsideClass Whether the call was invoked from the inside or the outside of the class
  return:
    The return value of the method